org.apache.lucene.queryparser.flexible.standard.config

## Class StandardQueryConfigHandler

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.core.config.AbstractQueryConfig
  - - org.apache.lucene.queryparser.flexible.core.config.QueryConfigHandler
    - - org.apache.lucene.queryparser.flexible.standard.config.StandardQueryConfigHandler

    public class StandardQueryConfigHandler
    extends QueryConfigHandler

This query configuration handler is used for almost every processor defined in the `StandardQueryNodeProcessorPipeline` processor pipeline. It holds configuration methods that reproduce the configuration methods that could be set on the old lucene 2.4 QueryParser class.

See Also:
  `StandardQueryNodeProcessorPipeline`

### Nested Class Summary

Nested Classes
`static class` `StandardQueryConfigHandler.ConfigurationKeys` Class holding keys for StandardQueryNodeProcessorPipeline options.
`static class` `StandardQueryConfigHandler.Operator` Boolean Operator: AND or OR

### Constructor Summary

Constructors
Constructor and Description
`StandardQueryConfigHandler()`

### Method Summary

### Methods inherited from class org.apache.lucene.queryparser.flexible.core.config.QueryConfigHandler

`addFieldConfigListener, getFieldConfig`

### Methods inherited from class org.apache.lucene.queryparser.flexible.core.config.AbstractQueryConfig

`get, has, set, unset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StandardQueryConfigHandler

    public StandardQueryConfigHandler()